Bug 475000 - Review Request: cmconvert - CacheMate import file converter
Review Request: cmconvert - CacheMate import file converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 10:23 EST by Patrick C. F. Ernzer
Modified: 2009-03-19 09:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 09:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-12-06 10:23:31 EST
Spec URL: http://pcfe.fedorapeople.org/cmconvert.spec
SRPM URL: http://pcfe.fedorapeople.org/cmconvert-1.9.5-2.src.rpm
Description: a second package for review, aybe better to finish the reiew and me fixinf any problems in Bug 474768 first
cmconvert is a small command line tool to convert EasyGPS XML file formats (LOC and GPX) to a format that can be installed onto a Palm OS device and imported into CacheMate. One needs this when using geocaching.com and wanting tu use their downloads with CacheMate on a PalmOS device.
Comment 1 Jason Tibbitts 2008-12-06 19:13:08 EST
You do not seem to be in the packager group, so I'm indicating that you need a sponsor.
Comment 2 Fabian Affolter 2008-12-08 09:29:21 EST
My comments for this spec file are very similar to the comments in #474768 .

- 'Source0: %{name}-%{version}.tar.gz' should point to the upstream, when possible. 
  https://fedoraproject.org/wiki/Packaging/SourceURL

- Don't mix $RPM_BUILD_ROOT and %{buildroot}
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
Comment 3 Fabian Affolter 2008-12-08 09:30:18 EST
Link to the comments : https://bugzilla.redhat.com/show_bug.cgi?id=474768
Comment 4 Patrick C. F. Ernzer 2008-12-10 18:29:17 EST
(In reply to comment #2)
> - 'Source0: %{name}-%{version}.tar.gz' should point to the upstream, when
> possible. 
fixed

> - Don't mix $RPM_BUILD_ROOT and %{buildroot}
fixed

(In reply to comment #3)
> Link to the comments : https://bugzilla.redhat.com/show_bug.cgi?id=474768

- Release now includes %{dist}
- Added %{?_smp_mflags} to make in the %build section 
- BuildRoot fixed
- %defattr fixed
Comment 5 Fabian Affolter 2008-12-20 12:23:23 EST
rpmlint output 

[fab@laptop024 SRPMS]$ rpmlint cmconvert-1.9.5-3.fc10.src.rpm 
cmconvert.src:38: E: files-attr-not-set
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

- Is 'mkdir -p -m 0755 %{buildroot}/usr' really needed?
- Use make install DESTDIR=%{buildroot} INSTALL="install -p" to preserve the timestamps instead of make install DESTDIR=%{buildroot}
- There is no need to pack the file 'INSTALL' because it contains only generic information which are not useful when installed from RPM
Comment 6 Patrick C. F. Ernzer 2008-12-31 09:45:56 EST
(In reply to comment #5)
> rpmlint output 
apologies for forgetting to run that. It now reports 0 errors, 0 warnings after the changes below.

> cmconvert.src:38: E: files-attr-not-set
[...]
fixed.

> - Is 'mkdir -p -m 0755 %{buildroot}/usr' really needed?
You're right. It is not needed. Removed.

> - Use make install DESTDIR=%{buildroot} INSTALL="install -p" to preserve the
> timestamps instead of make install DESTDIR=%{buildroot}
done

> - There is no need to pack the file 'INSTALL' because it contains only generic
> information which are not useful when installed from RPM
agreed, removed.

cmconvert-1.9.5-4.fc10.src.rpm  and revised spec file uploaded.
Comment 7 Fabian Affolter 2009-01-09 06:24:55 EST
Any progress with the seeking of a sponsor?
Comment 9 Patrick C. F. Ernzer 2009-01-12 10:05:49 EST
(In reply to comment #7)
> Any progress with the seeking of a sponsor?

I have been sponsored through another package but am drowning in work things (the usual heap after being 2 weeks on vacation), I hope to get this (and jpilot-backup) pushed in the next 2 weeks.
Comment 10 Patrick C. F. Ernzer 2009-01-16 23:48:23 EST
Fabian,

(In reply to comment #7)
> Any progress with the seeking of a sponsor?

I have CVS commit rights now. Is 1.9.5-4 good (I will request a CVS module to be created if yes) or does it need more polishing?
Comment 11 Fabian Affolter 2009-01-24 13:31:16 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint cmconvert-1.9.5-4.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 i386]$ rpmlint cmconvert*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: 66db83f66ee4eada22e8b4322acb6aa1
     Build source:    66db83f66ee4eada22e8b4322acb6aa1
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [x] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1079811
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

=== ISSUES ===

'Requires: expat' is not necessary, for me it looks like that rpm pick this automatically.

After fixing the issue, I see no further blocker, package APPROVED
Comment 12 Patrick C. F. Ernzer 2009-01-26 06:58:23 EST
you are right, libexpat gets picked up automatically.
fixed, will request CVS in next comment.
Comment 13 Patrick C. F. Ernzer 2009-01-26 07:02:33 EST
New Package CVS Request
=======================
Package Name: cmconvert
Short Description: CacheMate import file converter
Owners: pcfe
Branches: F-10
InitialCC: fab
Comment 14 Fabian Affolter 2009-01-26 07:24:50 EST
'FE-NEEDSPONSOR' removed, you are a member of the packager group.
Comment 15 Kevin Fenzi 2009-01-26 17:18:31 EST
cvs done.
Comment 16 Thorsten Leemhuis 2009-01-27 10:02:05 EST
Fabian,

(In reply to comment #5)
> - Use make install DESTDIR=%{buildroot} INSTALL="install -p" to preserve the
> timestamps instead of make install DESTDIR=%{buildroot}

And specific reasons for that? It's likely unneeded. 

This topic recently was discussed on 
https://bugzilla.rpmfusion.org/show_bug.cgi?id=195#c9 and 
http://lists.rpmfusion.org/pipermail/rpmfusion-developers/2009-January/003546.html
Comment 17 Fedora Update System 2009-01-29 18:05:37 EST
cmconvert-1.9.5-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmconvert'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1134
Comment 18 Fabian Affolter 2009-03-19 09:37:24 EDT
bodhi - 2009-02-16 15:13:22

This update has been pushed to stable
Comment 19 Fabian Affolter 2009-03-19 09:40:09 EDT
Thorsten, thanks for the links.

Note You need to log in before you can comment on or make changes to this bug.